This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 366201 - plague-builder doesn't work with mock-0.8
plague-builder doesn't work with mock-0.8
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: plague (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-04 17:52 EST by Fabrice Bellet
Modified: 2008-06-16 22:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:48:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Fabrice Bellet 2007-11-04 17:52:34 EST
plague no longer works with mock-0.8 (available in fedora7 updates), because
mock statedir/status file has gone away, but this feature is still used by the
plague-builder.
Comment 1 Michael Schwendt 2007-11-14 07:48:02 EST
You should have blocked this update in bodhi. Stock F7 and F8 mock
have the --statedir arg, the updates remove it. It is bad to change
the interface like that after the distribution gold release.
Comment 2 Michael Schwendt 2007-11-14 16:27:46 EST
http://mschwendt.fedorapeople.org/plague-0.4.4.1-mock-0.8.patch

That's just one of several patches to make it work again.
mock > 0.7 not only removed the --statedir arg, it also removed
the "status" file and (as it seems) only maintains a "state.log"
instead.

Since plague 0.4.4.1 is pretty much broken on Fedora 7+8, here's
a patched test package (works for me so far):
http://mschwendt.fedorapeople.org/plague/plague-0.4.4.1-5.fc8.20071114.src.rpm
Comment 3 Fabrice Bellet 2007-11-15 16:54:16 EST
works for me too. thanks.
Comment 4 Bug Zapper 2008-05-14 10:59:27 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 22:48:39 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.